Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config
Class StringChoice

    java.lang.Object
      org.crosswire.common.config.AbstractReflectedChoice
          org.crosswire.common.config.StringChoice

All Implemented Interfaces:
  Choice

    public class StringChoice

extends AbstractReflectedChoice

A type of Choice that converts between strings and objects.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`

Constructor Summary
`StringChoice()`

Method Summary
`Object` | `convertToObject(String orig)` Convert from a stored string to an object to use with reflection
`String` | `convertToString(Object orig)` Convert from a reflection return value to a String for storage
`Class<String>` | `getConversionClass()` The class that this Choice works on.

Methods inherited from class org.crosswire.common.config.AbstractReflectedChoice
`getFullPath, getHelpText, getKey, getString, getType, init, isHidden, isIgnored, isSaveable, requiresRestart, setFullPath, setHelpText, setString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringChoice

    public StringChoice()

Method Detail

### getConversionClass

    public Class<String> getConversionClass()

  Description copied from interface: `Choice`
  The class that this Choice works on. Used to decide how to display the choice to the user.

  Returns:
    The Class that this Choice works using.

### convertToString

    public String convertToString(Object orig)

  Description copied from class: `AbstractReflectedChoice`
  Convert from a reflection return value to a String for storage

  Specified by:
    `convertToString` in class `AbstractReflectedChoice`
  Parameters:
    `orig` - the object to be converted to a string
  Returns:
    the marshaled representation of the object

### convertToObject

    public Object convertToObject(String orig)

  Description copied from class: `AbstractReflectedChoice`
  Convert from a stored string to an object to use with reflection

  Specified by:
    `convertToObject` in class `AbstractReflectedChoice`
  Parameters:
    `orig` - the marshaled representation of the object
  Returns:
    the reconstituted object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD